# Universal-React-Starter

This starter pack for React projects includes a comprehensive set of libraries to enhance both development and user experience. Each library is chosen for its specific functionality, ensuring a robust and scalable application.

## Key Libraries

- **[DaisyUI](https://daisyui.com/):** A versatile styling library, providing a wide range of UI components and themes.
- **[react-icons](https://react-icons.github.io/react-icons/):** Offers an extensive library of icons, integrating popular icon sets.
- **[recharts](https://echarts.apache.org/):** A powerful library for creating interactive charts and visualizations.
- **[wouter](https://github.com/molefrog/wouter):** A minimalist router library, simplifying navigation within the app.
- **[react-hook-form](https://github.com/react-hook-form/resolvers#zod) with [zod](https://zod.dev/) resolver:** Streamlines form management, enhancing validation processes.
- **[axios](https://axios-http.com/):** A popular library for making HTTP requests, known for its ease of use.
- **[@tanstack/react-table](https://tanstack.com/table/v8/docs/adapters/react-table):** An advanced table library, facilitating the creation of complex and interactive tables.

## Usage Guide

1. **Environment Setup:**
   - `.env`: General configuration for both production and development.
   - `.env.development`: Specific settings for development.
   - `.env.production`: Dedicated configuration for production environments.

2. **Building and Running:**
   - Compile for production or initiate the development server as needed.
   - Experience the seamless functioning of your React application.

3. **Enjoy 🎉:**
   - Dive into a feature-rich, user-friendly development experience.

### Feedback and Suggestions

- **Contact:** For any suggestions or feedback, feel free to open an issue in the project repository.

#### Developer Notes

- **UI Inspiration:**
  - Themesberg's [Windster Pro](https://demo.themesberg.com/windster-pro/#)
  - [Tamagui](https://tamagui.dev/)
